petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAppendOptionsPrefix

Appends to the prefix used for searching for all Vec options in the database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAppendOptionsPrefix(Vec v,const char prefix[])

Logically Collective on Vec Many br

### Input Parameters

| v | - the Vec context Many br
| prefix | - the prefix to prepend to all option names Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

Many br

### Keywords

Vec, append, options, prefix, database

### See Also

VecGetOptionsPrefix()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages